summaryrefslogtreecommitdiff
path: root/utils/searxng.sh
diff options
context:
space:
mode:
authorMarkus Heiser <markus.heiser@darmarit.de>2024-09-19 09:17:28 +0200
committerMarkus Heiser <markus.heiser@darmarIT.de>2024-09-19 09:35:54 +0200
commitd026486ce39d02f1e282024b397581b18f327135 (patch)
treebb43dc9519e43a8d9e4de070216b08602e08597a /utils/searxng.sh
parent0b832f19bf6590f099c572686d847db7cf7487e9 (diff)
[fix] scripts: elimination of limitations on dedicated distributions
The restriction of shell scripts to certain distributions is only required for certain actions such as the installation of a SearXNG instance. The maintenance scripts and build processes were previously also restricted to these specific distributions. With this patch, the build processes (such as the build of online documentation) can now also be executed on all Linux distributions. Signed-off-by: Markus Heiser <markus.heiser@darmarit.de>
Diffstat (limited to 'utils/searxng.sh')
-rwxr-xr-xutils/searxng.sh17
1 files changed, 14 insertions, 3 deletions
diff --git a/utils/searxng.sh b/utils/searxng.sh
index c15c18218..a1bce5f9f 100755
--- a/utils/searxng.sh
+++ b/utils/searxng.sh
@@ -164,9 +164,16 @@ EOF
}
main() {
- required_commands \
- sudo systemctl install git wget curl \
- || exit
+ case $1 in
+ install|remove|instance)
+ nginx_distro_setup
+ apache_distro_setup
+ uWSGI_distro_setup
+ required_commands \
+ sudo systemctl install git wget curl \
+ || exit
+ ;;
+ esac
local _usage="unknown or missing $1 command $2"
@@ -898,6 +905,10 @@ _searxng.instance.inspect() {
}
searxng.doc.rst() {
+
+ local APACHE_SITES_AVAILABLE="/etc/apache2/sites-available"
+ local NGINX_APPS_AVAILABLE="/etc/nginx/default.apps-available"
+
local debian="${SEARXNG_PACKAGES_debian}"
local arch="${SEARXNG_PACKAGES_arch}"
local fedora="${SEARXNG_PACKAGES_fedora}"